#include "botapp.h"
#include "module.h"
#include "message.h"
#include "basemodule.h"
#include "regismodule.h"
#include "sparrowmodule.h"

class CustomModule : public Module
{
public :
    CustomModule() : Module() {}

    virtual bool messageHandler(Message msg)
    {
        if(msg.args.compare("plop ?") == 0)
        {
            answer = say("coucou " + msg.nick);
            return true;
        }
        return false;
    }

    virtual QString getName()
    {
        return "custom";
    }
};

int main(int argc, char *argv[])
{
    BotApp app = BotApp(argc, argv);
    app.addModule(new CustomModule());
    app.addModule(new RegisModule());
    app.addModule(new SparrowModule());
    return app.exec();
}
